package domain

type AlibabaWdkMarketingItempoolItemRemoveAsyncCommonActivityParam struct {
	/*
	   商家外部活动Id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolItemRemoveAsyncCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingItempoolItemRemoveAsyncCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolItemRemoveAsyncCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingItempoolItemRemoveAsyncCommonActivityParam {
	s.ActivityId = &v
	return s
}
